<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 

xmlns:DD="http://esquemas.clouda.sat.gob.mx/archivos/DoctosDigitales/1" 
xmlns:SolExt="http://esquemas.clouda.sat.gob.mx/archivos/DoctosDigitales/1/SolicitudExtension"
xmlns:xs="http://www.w3.org/2001/XMLSchema"  xmlns:fn="http://www.w3.org/2005/xpath-functions"   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

<!--En esta sección se define la inclusión de las plantillas de utilerías para colapsar espacios -->

<xsl:include href="http://www.sat.gob.mx/sitio_internet/cfd/2/cadenaoriginal_2_0/utilerias.xslt"/>

<!-- Aquí iniciamos el procesamiento de la cadena original con su | inicial y el terminador || -->

<xsl:template match="/">|<xsl:apply-templates select="/DD:DoctoDigital" />
</xsl:template>

<xsl:template match="DD:DoctoDigital">
  <xsl:value-of select="'|'"/>
		<xsl:value-of select="@Version"/>
		  <xsl:value-of select="'|'"/>

  <xsl:for-each select="DD:TipoDoctoDigital">
    <xsl:for-each select="SolExt:SolicitudExtension">
      <xsl:value-of select="@Version"/>
      <xsl:value-of select="'|'"/>
    </xsl:for-each>
  </xsl:for-each>
  
  <xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:value-of select="@FechaPresent"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Asunto"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>
		
<xsl:for-each select="DD:Receptor">
     <xsl:for-each select="DD:REmpleadoDe">
			 <xsl:value-of select="@RDenORazSocOrg"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
</xsl:for-each>		
		
<xsl:for-each select="DD:Receptor">
     <xsl:for-each select="DD:REmpleadoDe">
         <xsl:for-each select="DD:RUnidadOrg">
			 <xsl:value-of select="@RUnidad"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
	 </xsl:for-each>
</xsl:for-each>				

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Presente1"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		

<xsl:for-each select="DD:Emisor">
			 <xsl:value-of select="@EDenORazSoc"/>
			 <xsl:value-of select="'|'"/>
</xsl:for-each>				

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Presente2"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>				
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral1.1"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		

<xsl:for-each select="DD:Emisor">
			 <xsl:value-of select="@ERFC"/>
			 <xsl:value-of select="'|'"/>
</xsl:for-each>		

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral1.2"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>			

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@NumOficioPCCFDI"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral1.3"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:value-of select="@FechaOficioPCCFDI"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral1.4"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@NombreFuncionario"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@CargoFuncionario"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral1.5"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral2"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>		
		
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral3"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>
  
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral4"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>
  
 <xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral5"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral6.1"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@FolioParticipacion"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral6.2"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral7.1"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@NumOficioCapTec"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral7.2"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@FechaOficioCapTec"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral7.3"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@NombreFuncionarioCapTec"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
	     	<xsl:value-of select="@CargoFuncionarioCapTec"/>
			 <xsl:value-of select="'|'"/>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral7.4"/>
			
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			 <xsl:call-template name="Requerido">
			     <xsl:with-param name="valor" select="./SolExt:Numeral8"/>
			     </xsl:call-template>
			
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:call-template name="Opcional">
			     <xsl:with-param name="valor" select="./SolExt:Numeral9.1"/>
			     </xsl:call-template>
			
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:call-template name="Opcional">
			     <xsl:with-param name="valor" select="./SolExt:Numeral9.2"/>
			     </xsl:call-template>
		
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:call-template name="Opcional">
			     <xsl:with-param name="valor" select="./SolExt:Numeral9.2.1"/>
			     </xsl:call-template>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral10"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral11"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Numeral12"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>

<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Solicitud1"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>
  
<xsl:for-each select="DD:TipoDoctoDigital">
     <xsl:for-each select="SolExt:SolicitudExtension">
	     <xsl:for-each select="SolExt:Contenido">
			 <xsl:for-each select="SolExt:Numerales">
			     <xsl:apply-templates select="./SolExt:Solicitud2"/>
			     <xsl:value-of select="'|'"/>
			 </xsl:for-each>
		 </xsl:for-each>
     </xsl:for-each>
</xsl:for-each>
	
	<xsl:for-each select="DD:TipoDoctoDigital">
		<xsl:for-each select="SolExt:SolicitudExtension">
			<xsl:for-each select="SolExt:Contenido">
				<xsl:for-each select="SolExt:Numerales">
					<xsl:apply-templates select="./SolExt:Solicitud3"/>
					<xsl:value-of select="'|'"/>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>
	
	<xsl:for-each select="DD:TipoDoctoDigital">
		<xsl:for-each select="SolExt:SolicitudExtension">
			<xsl:for-each select="SolExt:Contenido">
				<xsl:for-each select="SolExt:Numerales">
					<xsl:apply-templates select="./SolExt:Solicitud4"/>
					<xsl:value-of select="'|'"/>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>
	
  <xsl:for-each select="DD:Emisor">
  	<xsl:value-of select="@EDenORazSoc"/>
    <xsl:value-of select="'||'"/>
  </xsl:for-each>

</xsl:template>
</xsl:stylesheet>
